#!/bin/bash

set -e

if [ "$1" = '--upstream-version' ]; then
    new_version="$2"
else
    printf "Missing --upstream-version argument" 1>&2
    exit 1
fi

DEB_SOURCE="$(dpkg-parsechangelog -SSource)"

work_dir="$(mktemp -d -t get-orig-source_${DEB_SOURCE}_${new_version}_XXXXXXX)"
trap "rm -rf '$work_dir'" EXIT

(
cd ${work_dir}
wget https://github.com/BloodHoundAD/BloodHound/releases/download/v${new_version}/BloodHound-linux-arm64.zip
wget https://github.com/BloodHoundAD/BloodHound/releases/download/v${new_version}/BloodHound-linux-x64.zip
unzip BloodHound-linux-arm64.zip
unzip BloodHound-linux-x64.zip
rm -f *.zip
)

tar -zcvf "../bloodhound_${new_version}.orig.tar.gz" -C ${work_dir} .

rm -rf $work_dir
